#pragma once

// MassBuilderSaveTool
// Copyright (C) 2021 Guillaume Jacquemin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <https://www.gnu.org/licenses/>.

#include <map>

#include <Magnum/Types.h>

using namespace Magnum;

static const std::map<Int, const char*> accessories {
        // Primitives
        {1,  "Cube (S)"},
        {2,  "Pentagon (S)"},
        {3,  "Hexagon (S)"},
        {4,  "Cylinder (S)"},
        {5,  "Sphere (S)"},
        {6,  "TriPyramid (S)"},
        {7,  "SquPyramid (S)"},
        {8,  "PenPyramid (S)"},
        {9,  "HexPyramid (S)"},
        {10, "Cone (S)"},
        {11, "SquStick (S)"},
        {12, "PenStick (S)"},
        {13, "HexStick (S)"},
        {14, "CycStick (S)"},
        {15, "Capsule (S)"},
        {16, "Decal Pad 01 (S)"},
        {17, "Decal Pad 02 (S)"},
        {18, "Decal Pad 03 (S)"},
        {19, "Decal Pad 04 (S)"},
        {20, "Decal Pad 05 (S)"},

        {51, "SquBevel (S)"},
        {52, "TriBevel (S)"},
        {53, "PenBevel (S)"},
        {54, "HexBevel (S)"},
        {55, "CycBevel (S)"},
        {56, "RecBevel (S)"},
        {57, "DaiBevel (S)"},
        {58, "MonBevel (S)"},
        {59, "CofBevel (S)"},
        {60, "JevBevel (S)"},
        {61, "SquEmboss (S)"},
        {62, "TriEmboss (S)"},
        {63, "PenEmboss (S)"},
        {64, "HexEmboss (S)"},
        {65, "CycEmboss (S)"},
        {66, "RecEmboss (S)"},
        {67, "DaiEmboss (S)"},
        {68, "MonEmboss (S)"},
        {69, "CofEmboss (S)"},
        {70, "JevEmboss (S)"},

        // Armours

        // Components

        // Connectors
};
