#pragma once

// MassBuilderSaveTool
// Copyright (C) 2021 Guillaume Jacquemin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <https://www.gnu.org/licenses/>.

#include <string>
#include <unordered_map>

static const std::unordered_map<std::string, const char*> weapon_types{
    {"enuWeaponTypes::NewEnumerator0", "Melee weapon"},
    {"enuWeaponTypes::NewEnumerator5", "Shield"},
    {"enuWeaponTypes::NewEnumerator1", "Bullet shooter"},
    {"enuWeaponTypes::NewEnumerator2", "Energy shooter"},
    {"enuWeaponTypes::NewEnumerator3", "Bullet launcher"},
    {"enuWeaponTypes::NewEnumerator4", "Energy launcher"},
};
